# BEGIN SourceDeps(oneline):
BuildRequires: perl(Aspect.pm) perl(Aspect/Advice/Around.pm) perl(Aspect/Modular.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Devel/NYTProf.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(inc/Module/Install/DSL.pm)
# END SourceDeps(oneline)
%define module_version 1.00
%define module_name Aspect-Library-NYTProf
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Allows pointcut-targetted NYTProf profiling
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Aspect::Library::NYTProf provides a pre-built the Aspect manpage library for doing
the Devel::NYTProf manpage profiling on a targetted subset of your application.

This is implemented using the built-in `DB::enable_profile()' and
`DB::disable_profile()' functions you might normally use with
the Devel::NYTProf manpage, but allows for targetting the profiling using the full
range of pointcuts available in the Aspect manpage.

For example, the following allows profiling of `Foo::bar()', but only
when called in scalar context.

  aspect NYTProf => call 'Foo::bar' & wantscalar;


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*

%changelog
* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

